Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
FieldDoc.h File Reference
`#include "ScoreDoc.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::FieldDoc

A ScoreDoc which also contains information about how to sort the referenced document. In addition to the document number and score, this object contains an array of values for the document from the field(s) used to sort. For example, if the sort criteria was to sort by fields "a", "b" then "c", the fields object array will have three elements, corresponding respectively to the term values for the document in fields "a", "b" and "c". The class of each element in the array will be either Integer, Double or String depending on the type of values in the terms of each field. More...

## Namespaces

| Lucene

clucene.sourceforge.net